| The Red Project

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Pages
Protected Member Functions | List of all members
ZotDriver Class Reference
Inheritance diagram for ZotDriver:

## Protected Member Functions
| discover ($channel, $location)
| deliver ($item, $channel, $recipients)
| collect ($channel, $connection)
| change_permissions ($permissions, $channel, $recipient)
| acknowledge_permissions ($permissions, $channel, $recipient)
| deliver_private ($item, $channel, $recipients)
| collect_private ($channel, $connection)
Protected Member Functions inherited from ProtoDriver
| discover ($channel, $location)
| deliver ($item, $channel, $recipients)
| collect ($channel, $connection)
| change_permissions ($permissions, $channel, $recipient)
| acknowledge_permissions ($permissions, $channel, $recipient)
| deliver_private ($item, $channel, $recipients)
| collect_private ($channel, $connection)

## Member Function Documentation

ZotDriver::acknowledge_permissions | ( |  | $permissions,
|  |  | $channel,
|  |  | $recipient
| ) |  |
| protected

ZotDriver::change_permissions | ( |  | $permissions,
|  |  | $channel,
|  |  | $recipient
| ) |  |
| protected

ZotDriver::collect | ( |  | $channel,
|  |  | $connection
| ) |  |
| protected

ZotDriver::collect_private | ( |  | $channel,
|  |  | $connection
| ) |  |
| protected

ZotDriver::deliver | ( |  | $item,
|  |  | $channel,
|  |  | $recipients
| ) |  |
| protected

ZotDriver::deliver_private | ( |  | $item,
|  |  | $channel,
|  |  | $recipients
| ) |  |
| protected

ZotDriver::discover | ( |  | $channel,
|  |  | $location
| ) |  |
| protected

The documentation for this class was generated from the following file:

- include/ProtoDriver.php